/****************************************************
  SIO-0 test for C3x.
  
  This test asumes that SIO-0 port of C3x DSP is configured as OUT pins.

*****************************************************/

#include "c3x_def.h"
#include "te3x_dsp.h"


init_cpu()
{
	*C3X_PBUS_GC=TE3X_PBUS_GC_DATA;

}



#define DR_OUT_0      0x222
#define DR_OUT_1      0x262
#define DX_OUT_0      0x222
#define DX_OUT_1      0x262
#define FSX_OUT_0     0x222
#define FSX_OUT_1     0x622
#define FSR_OUT_0     0x222
#define FSR_OUT_1     0x622
#define CLKX_OUT_0    0x222
#define CLKX_OUT_1    0x226
#define CLKR_OUT_0    0x222
#define CLKR_OUT_1    0x226


main()
{
   init_cpu();
   *C3X_SIO0_GC = 0;

   while(1)
    {
      *C3X_SIO0_XC = DX_OUT_1;
      *C3X_SIO0_XC = DX_OUT_0;

      *C3X_SIO0_XC = FSX_OUT_1;
      *C3X_SIO0_XC = FSX_OUT_0;

      *C3X_SIO0_XC = CLKX_OUT_1;
      *C3X_SIO0_XC = CLKX_OUT_0;

      *C3X_SIO0_RC = DR_OUT_1;
      *C3X_SIO0_RC = DR_OUT_0;

      *C3X_SIO0_RC = FSR_OUT_1;
      *C3X_SIO0_RC = FSR_OUT_0;

      *C3X_SIO0_RC = CLKR_OUT_1;
      *C3X_SIO0_RC = CLKR_OUT_0;
    }

}



