/*
	USART PIO test for E31.

*/



#define	ML_OFF			0
#define	ML_ON			1

#define	PI			3.141592

#include	<math.h>
#include	"c30_def.h"



int *PB_C	= (int *)0x808064;


int *SRAM	= (int *)0x100000;
int *EPROM	= (int *)0x400000;
int *USART	= (int *)0xA00000;
int *PIOX	= (int *)0xC00000;

int *IACK_PTR	= (int *)0x809800;




int *USART_PCR	= (int *)0xA0003e;
int *USART_PVR	= (int *)0xA0003c;


cpu_init()
 {
	/* set PIOX WS for Primary BUS: mode=XRDY, bank_size=256K
        */
	   *PBUS_C = 0x600;
	CACHE_ENABLE;
	INT_DISABLE;


	*USART_PCR	= 0;  /*configure all pins as outputs */
       	asm(" ldi 22H,iof");

 }



void main()
{
	int i;

	asm(" ldi @_IACK_PTR,ar4");
	asm(" iack *ar4");
	cpu_init();


	while(1)
	 {
		*USART_PVR	= 0;
	   asm(" ldi 26H,iof");
	   asm(" ldi 62H,iof");
	   asm(" ldi 22H,iof");
		*USART_PVR	= 1;

	   for(i=1;i<8;i++)
	    {
		*USART_PVR	= ((*USART_PVR) << 1);
	    }

	 }




}